List company statuses
curl --request GET \
--url https://app.leonar.app/api/v1/companies/statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.leonar.app/api/v1/companies/statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.leonar.app/api/v1/companies/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Customer",
"color": "#22c55e",
"position": 1,
"is_default": false,
"created_at": "2026-03-27T10:00:00Z"
}
],
"meta": {
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Limit: 2000 requests per hour."
}
}Companies
List company statuses
Returns the workspace company statuses that can be assigned through status_id on companies.
GET
/
companies
/
statuses
List company statuses
⌘I